<?php declare(strict_types=1);

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;

final class UserLocale
{
    public function handle(Request $request, Closure $next)
    {
        if ($request->user() && $request->user()->lang) {
            App::setLocale($request->user()->lang->getLocale());
        }

        return $next($request);
    }
}
